Bug 51673 - [XLS] MsoDrawing record content is missed on import
Summary: [XLS] MsoDrawing record content is missed on import
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6.0.0.beta2
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: XLS
  Show dependency treegraph
 
Reported: 2012-07-02 15:24 UTC by Valek Filippov
Modified: 2018-08-22 12:40 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
file with a problem (36.50 KB, application/vnd.ms-excel)
2012-07-02 15:24 UTC, Valek Filippov
Details
Screenshot from XL2003 (37.48 KB, image/png)
2012-07-02 15:24 UTC, Valek Filippov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Valek Filippov 2012-07-02 15:24:17 UTC
Created attachment 63739 [details]
file with a problem

LO Calc 3.6b2 fails to import Escher drawings from an attached XLS file.
Comment 1 Valek Filippov 2012-07-02 15:24:53 UTC
Created attachment 63740 [details]
Screenshot from XL2003

How it should look like.
Comment 2 QA Administrators 2015-01-05 17:52:15 UTC Comment hidden (obsolete)
Comment 3 Buovjaga 2015-01-28 13:39:32 UTC
Confirmed.

Win 7 Pro 64-bit Version: 4.5.0.0.alpha0+
Build ID: 784d069cc1d9f1d6e6a4e543a278376ab483d1eb
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-01-25_23:07:36
Comment 4 QA Administrators 2016-02-21 08:37:25 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2017-03-06 15:49:11 UTC Comment hidden (obsolete)
Comment 6 Thomas Lendo 2017-08-21 21:57:54 UTC
Can't see any shape when opening the attached file.

Version: 6.0.0.0.alpha0+
Build ID: bfd8a4e22fe584939f67b64c9c9495a466b16576
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-08-21_00:52:56
Locale: de-DE (de_DE.UTF-8); Calc: group
Comment 7 QA Administrators 2018-08-22 02:35:20 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug